Bug 1300706 - Incorrect values are displayed on firewall rules details pages
Incorrect values are displayed on firewall rules details pages
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.3
Assigned To: Roman Blanco
Ramesh A
: ZStream
Depends On:
  Show dependency treegraph
Reported: 2016-01-21 08:54 EST by Vadim Rutkovsky
Modified: 2016-04-13 14:41 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-04-13 14:41:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot (31.50 KB, image/png)
2016-01-21 08:54 EST, Vadim Rutkovsky
no flags Details
upstream (12.47 KB, image/png)
2016-01-22 10:33 EST, Dávid Halász
no flags Details

  None (edit)
Description Vadim Rutkovsky 2016-01-21 08:54:42 EST
Created attachment 1116928 [details]

Description of problem:
Values for fields on firewall rule details page are incorrect: e.g. 'Display Name' is set to 'false' and 'Enabled' is set to 'udp' etc.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add Vsphere provider
2. Run smartstate analysis on any host
3. After the analysis is complete open host details page
4. Select Security - Firewall Rules from accordeon on the left
5. Click on any rule and compare values on details page with values in the table

Actual results:
Values are set 'off-by-one', 'Display Name' has value set for 'Enabled' field etc.

Expected results:
Values on details page are the same as in the table

Additional info:
Comment 1 Dávid Halász 2016-01-22 10:33 EST
Created attachment 1117232 [details]
Comment 2 Dávid Halász 2016-01-22 10:34:15 EST
It can not be reproduced in upstream!
Comment 3 Vadim Rutkovsky 2016-01-22 10:46:14 EST
Unaffected versions: 5.4.z and upstream, checking for earliest affected version
Comment 5 Vadim Rutkovsky 2016-01-22 11:35:17 EST
Reproducible since
Comment 7 Shveta 2016-01-27 14:42:44 EST
Assigning to add test case
Comment 8 CFME Bot 2016-02-10 14:01:49 EST
New commit detected on cfme/5.5.z:

commit b5b0670678333f173fcdd7eeb0534c3db0d92ee5
Merge: 1c99efa dbd309a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Feb 10 13:43:13 2016 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Feb 10 13:43:13 2016 -0500

    Merge branch 'bz1300706' into '5.5.z'
    Fixed shifted labels in detail views
    clear cherry-pick
    See merge request !746

 app/views/layouts/_item.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 10 Ramesh A 2016-03-31 15:00:41 EDT
Good to go.  Verified and working fine in
Comment 12 errata-xmlrpc 2016-04-13 14:41:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.